%define	major	13
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d

Name:		zziplib
Version:	0.13.72
%define subrel 1
Release:	%mkrel 2
Summary:	ZZipLib - libZ-based ZIP-access Library
License:	LGPLv2+ or MPLv1.1
Group:		System/Libraries
URL:		https://github.com/gdraheim/zziplib
Source0:	https://github.com/gdraheim/zziplib/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		803f49aaae16b7f2899e4769afdfc673a21fa9e8.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib) >= 1.1.4
BuildRequires:	python3
BuildRequires:	zip
BuildRequires:	xmlto

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package	utils
Summary:	Utilities for the zziplib library
Group:		Archiving/Compression
Conflicts:	%{devname} < 0.13.62-11

%description utils
The zziplib library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

This packages contains all the utilities that come with the zziplib library.

%package -n     %{libname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n     %{devname}
Summary:	ZZipLib - Development Files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}

%description -n	%{devname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%prep
%setup -q
%autopatch -p1

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%cmake -DBUILD_TESTS:BOOL=ON
%cmake_build

# docs
%make_build mans -C %{_vpath_builddir}/docs

%check
%ctest

%install
%cmake_install

%files utils
%license docs/COPYING*
%doc ChangeLog README TODO
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_bindir}/unzip-mem

%files -n %{libname}
%license docs/COPYING*
%doc ChangeLog README
%{_libdir}/libzzipfseeko.so.%{major}{,.*}
%{_libdir}/libzzipmmapped.so.%{major}{,.*}
%{_libdir}/libzzip.so.%{major}{,.*}
%{_libdir}/libzzipwrap.so.%{major}{,.*}

%files -n %{devname}
%doc docs/*.htm
%{_libdir}/libzzipfseeko.so
%{_libdir}/libzzipmmapped.so
%{_libdir}/libzzip.so
%{_libdir}/libzzipwrap.so
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*


%changelog
* Thu May 02 2024 ns80 <ns80> 0.13.72-2.1.mga9
+ Revision: 2061878
- add an upstream patch for CVE-2020-18770 (mga#33169)

* Thu Mar 31 2022 umeabot <umeabot> 0.13.72-2.mga9
+ Revision: 1835835
- Mageia 9 Mass Rebuild

* Fri Jul 02 2021 ns80 <ns80> 0.13.72-1.mga9
+ Revision: 1734522
- new version 0.13.72 for CVE-2020-18442 (mga#29178)

* Mon Jul 20 2020 wally <wally> 0.13.71-1.mga8
+ Revision: 1607345
- new version 0.13.71
- update URL
- drop multiarch support

* Mon Apr 13 2020 wally <wally> 0.13.69-3.mga8
+ Revision: 1567076
- fix lib pkg name one more time

* Wed Feb 26 2020 umeabot <umeabot> 0.13.69-2.mga8
+ Revision: 1550709
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 10 2019 daviddavid <daviddavid> 0.13.69-1.mga7
+ Revision: 1365015
- new version: 0.13.69
- add upstream patches to fix CVE-2018-16548 and CVE-2018-17828
- fix library pkg name
- enable SDL support
- disable static libraries
- split out binaries into a separate sub-pkg (zziplib-utils)

* Sun Sep 23 2018 umeabot <umeabot> 10.mga7-current
+ Revision: 1302072
- Mageia 7 Mass Rebuild

* Sat Sep 23 2017 cjw <cjw> 0.13.62-9.mga7
+ Revision: 1158329
- patch10: do not filter -g from CFLAGS in build

* Sun Jun 04 2017 luigiwalser <luigiwalser> 0.13.62-8.mga6
+ Revision: 1106657
- add patches from opensuse to fix CVE-2017-597[4-9] and CVE-2017-598[01]

* Sat Feb 13 2016 umeabot <umeabot> 0.13.62-7.mga6
+ Revision: 959357
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 0.13.62-6.mga6
+ Revision: 868032
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 0.13.62-5.mga5
+ Revision: 741381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.62-4.mga5
+ Revision: 690896
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.13.62-3.mga4
+ Revision: 520912
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.13.62-2.mga3
+ Revision: 387813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 luigiwalser <luigiwalser> 0.13.62-1.mga3
+ Revision: 278876
- 0.13.62
- remove linker patch (fixed upstream)

* Wed Jul 18 2012 rtp <rtp> 0.13.60-3.mga3
+ Revision: 272251
- export-dynamic is  linker option so use -Wl,. This fixes the build failure.

* Fri Feb 25 2011 dmorgan <dmorgan> 0.13.60-2.mga1
+ Revision: 59518
- imported package zziplib


* Wed Feb 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.13.60-2mdv2011.0
+ Revision: 639514
- do parallel build
- drop obsolete scriptlets
- fix multiple inclusion of headers in %%files
- properly use %%mklibname for package naming to avoid multilib conflicts

* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.13.60-1mdv2011.0
+ Revision: 627526
- 0.13.60

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.59-1mdv2011.0
+ Revision: 568119
- 0.13.59

* Fri Jan 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.58-1mdv2010.1
+ Revision: 491897
- 0.13.58

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.13.50-2mdv2010.0
+ Revision: 446355
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.13.50-1mdv2009.1
+ Revision: 332959
- New upstream release

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.49-3mdv2009.0
+ Revision: 233801
- bump release
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.13.49-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.49-1mdv2008.0
+ Revision: 25776
- 0.13.49 (fixes CVE-2007-1614)


* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13.47-1mdv2007.0
+ Revision: 97508
- fix deps
- 0.13.47
- fix #27692

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - docs kinda fscked, drop on x86_64
    - 0.13.47
    - Import zziplib

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.13.45-2mdv2007.0
- Remove rpmlint warnings

* Tue Jun 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13.45-1mdk
- 0.13.45
- drop upstream patches; P0

* Sat May 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.33-4mdk
- added one gcc4 patch (debian)
- run the test suite

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-3mdk
- fix deps and conditional %%multiarch

* Sat Jun 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-2mdk
- use some libtool magic as it seems to prevent it from building 
  against old installed libs
- fix deps

* Fri May 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-1mdk
- 0.13.33
- merge the static-devel sub package into the devel sub package
- fix deps

